guacamole-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nick Couchman <vn...@apache.org>
Subject Re: how to upgrade guacamole server from 0.9.13 to 0.9.14?
Date Wed, 04 Jul 2018 02:22:39 GMT
On Tue, Jul 3, 2018 at 9:21 PM Oliver.Zhan <zhangjianping@hikvision.com>
wrote:

> I used guacamole server version is 0.9.13, but the ssh connection always
> occured error:
>
> guacd11608 <http://project.hiktest.com/issues/5506#fn11608>: INFO: SSH
> connection successful.
> guacd: ath.c:193: _gcry_ath_mutex_lock: Assertion `*lock == ((ath_mutex_t)
> 0)' failed.
> guacd11604 <http://project.hiktest.com/issues/5506#fn11604>: INFO:
> Connection "$fe2119fe-2a3f-470e-9985-46f56e5b32c0" removed.
>
>
>
> I wan to upgrade from 0.9.13 to 0.9.14, how to upgrade?  Please help me.
> Thks!
>
>
>

Depending on how you installed 0.9.13, it should be similar to the install
process.  For guacd (guacamole-server) you'll need to build the new version
of the server and install it, making sure that you either replace the old
version completely or make sure that you start up the new version if you
install to a new location.

For guacamole-client, you can either download the pre-built binaries (WAR
for the main client deployment and JAR files for the authentication
extensions) and deploy those over the existing ones.  If you're using the
JDBC authentication modules you will also need to bring your database
schema up-to-date with one of the schema upgrade files.

You can find all of these instructions in the following pages:

http://guacamole.apache.org/doc/gug/installing-guacamole.html (Main
installation page)
http://guacamole.apache.org/doc/gug/jdbc-auth.html (JDBC authentication,
includes upgrade notes throughout the page)

-Nick

Mime
View raw message